com.google.gwt.xml.client

## Interface CharacterData

All Superinterfaces:
  Node

All Known Subinterfaces:
  CDATASection, Comment, Text

    public interface CharacterData
    extends Node

This interface describes `CharacterData` XML nodes. These can be either `Text`, `CDATASection` or `Comment` nodes.

### Field Summary

### Fields inherited from interface com.google.gwt.xml.client.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `appendData(java.lang.String appendedData)` This method appends `data` to the data in this `CharacterData`.
`void` `deleteData(int offset, int count)` This method deletes data, starting at `offset`, and deleting `count` characters.
`java.lang.String` `getData()` This method retrieves the data.
`int` `getLength()` This method retrieves the length of the data.
`void` `insertData(int offset, java.lang.String insertedData)` This method inserts data at the specified offset.
`void` `replaceData(int offset, int count, java.lang.String replacementData)` This method replaces the substring of data indicated by `offset` and `count` with `replacementData`.
`void` `setData(java.lang.String data)` This method sets the data to `data`.
`java.lang.String` `substringData(int offset, int count)` This method gets a substring of the character data.

### Methods inherited from interface com.google.gwt.xml.client.Node

`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, normalize, removeChild, replaceChild, setNodeValue`

### Method Detail

#### appendData

    void appendData(java.lang.String appendedData)

This method appends `data` to the data in this `CharacterData`.

Parameters:
  `appendedData` - the data to be appended to the end

#### deleteData

    void deleteData(int offset,
                    int count)

This method deletes data, starting at `offset`, and deleting `count` characters.

Parameters:
  `offset` - how far from the beginning to start deleting
  `count` - how many characters to delete

#### getData

    java.lang.String getData()

This method retrieves the data.

Returns:
  the data of this `CharacterData`

#### getLength

    int getLength()

This method retrieves the length of the data.

Returns:
  the length of the data contained in this `CharacterData`

#### insertData

    void insertData(int offset,
                    java.lang.String insertedData)

This method inserts data at the specified offset.

Parameters:
  `offset` - how far from the beginning to start inserting
  `insertedData` - the data to be inserted

#### replaceData

    void replaceData(int offset,
                     int count,
                     java.lang.String replacementData)

This method replaces the substring of data indicated by `offset` and `count` with `replacementData`.

Parameters:
  `offset` - how far from the beginning to start the replacement
  `replacementData` - the data that will replace the deleted data
  `count` - how many characters to delete before inserting `replacementData`

#### setData

    void setData(java.lang.String data)

This method sets the data to `data`.

Parameters:
  `data` - the new data

#### substringData

    java.lang.String substringData(int offset,
                                   int count)

This method gets a substring of the character data.

Parameters:
  `offset` - the place to start the substring
  `count` - how many characters to return
Returns:
  the specified substring